Details
  • Last release: 59.02
  • 2 weeks ago

Web Browser

Dependencies
  • HD_Station >= 3.2.2
  • HD_Station < 4.0.0

QTS
Requires QTS 4.2.1 or later

Models
TS-NASX86 64bits

Thanks for your support
  • 58.0.2 Released 1 month ago ( 05-03-2018 )
    Dependencies:
    • HD_Station >= 3.2.2
    • HD_Station < 4.0.0
  • 57.04 Released 3 months ago ( 07-01-2018 )
    Dependencies:
    • HD_Station >= 3.2.2
    • HD_Station < 4.0.0
  • 57.0 Released 3 months ago ( 31-12-2017 )
    Dependencies:
    • HD_Station >= 3.2.2
    • HD_Station < 4.0.0